Page MenuHomePhabricator

Portal set to RTL language: project icons are placed confusingly
Closed, ResolvedPublic

Description

If you look at the wikipedia.org portal in an RTL language, you'll see that the project icons are placed quite far from the text that describes them, but very close to the text that describes other projects in the adjacent column. So, for example, the label for "Commons" appears next to the icon for Wikivoyage, and the label "Wikivoyage" appears next to the icon for Wiktionary.

The icons must be moved to appear next to the labels that correspond to them.

Added a screenshot of the portal set to Arabic:

Event Timeline

Amire80 created this task.Mar 4 2017, 2:22 PM
Restricted Application added projects: I18n, Discovery. · View Herald TranscriptMar 4 2017, 2:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt renamed this task from Project icons are placed confusingly on the portal in an RTL language to Portal set to RTL language: project icons are placed confusingly.Mar 6 2017, 6:24 PM
debt triaged this task as Normal priority.
debt added a project: Discovery-Portal-Sprint.
debt updated the task description. (Show Details)
debt added a subscriber: Jdrewniak.

With this patch https://gerrit.wikimedia.org/r/#/c/339631/ (deployed March 14)
the sister project icons for RTL have been improved.

The Wikimedia icon and the mobile app icon are still misplaced, so I'll keep the ticket open until those are resolved.

debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.Mar 14 2017, 3:50 PM
debt added a subscriber: debt.

Moving this to done - the icons are in a good spot and this is a bit of pixel pushing...

debt closed this task as Resolved.Mar 15 2017, 7:32 PM